main()
{


	maps\mp\_load::main();
	ambientPlay("ambient_mp_chateau");

	level._effect["fire"] = loadfx ("fx/fire/tinybon.efx");
	maps\mp\_fx::loopfx("fire", (-1792, -752, 712), 0.3);
	maps\mp\_fx::loopfx("fire", (-264, -600, 720), 0.3);
	level._effect["feu"] = loadfx ("fx/fire/barrelfire.efx");
	maps\mp\_fx::loopfx("feu", (-3616, -420, 800), 0.3);
	maps\mp\_fx::loopfx("feu", (-3040, 928, 800), 0.3);
	level._effect["smoke"] = loadfx ("fx/smoke/ash_smoke.efx");
	maps\mp\_fx::loopfx("smoke", (-1792, -752, 1104), 0.5);
	maps\mp\_fx::loopfx("smoke", (288, -256, 1296), 0.5);
	maps\mp\_fx::loopfx("smoke", (360, -128, 1296), 0.5);
	maps\mp\_fx::loopfx("smoke", (-3040, 928, 1088), 0.5);
	maps\mp\_fx::loopfx("smoke", (-3616, -420, 1132), 0.5);

	game["allies"] = "american";
	game["axis"] = "german";
	game["attackers"] = "allies";
	game["defenders"] = "axis";

	game["american_soldiertype"] = "airborne";
	game["american_soldiervariation"] = "normal";
	game["german_soldiertype"] = "waffen";
	game["german_soldiervariation"] = "normal";


	//retrival settings
	level.obj["document_1"] = (&"RE_OBJ_CODE_BOOK");
	game["re_attackers"] = "allies";
	game["re_defenders"] = "axis";
	game["re_attackers_obj_text"] = "Capture the code book, eliminate all resistance.";
	game["re_defenders_obj_text"] = "Defend the code book at all cost.";
	game["re_spectator_obj_text"] = "Allies: Must capture the code book";
	game["re_attackers_intro_text"] = "Capture the code book to help foil any German counter attacks.";
	game["re_defenders_intro_text"] = "Defend the code book from falling into allied hands.\nThe future of the Third Reich depends upon it.";

	//paramtres Quartier Gnral

	if (getcvar("g_gametype") == "hq")
	{
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-3280, 920, 736);
		radio.angles = (0, 345, 0);
		radio.targetname = "hqradio";

		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-712, -1064, 704);
		radio.angles = (0, 180, 0);
		radio.targetname = "hqradio";

		radio = spawn ("script_model", (0,0,0));
		radio.origin = (604, -720, 992);
		radio.angles = (0, 30, 0);
		radio.targetname = "hqradio";

		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-136, -2840, 272);
		radio.angles = (0, 270, 0);
		radio.targetname = "hqradio";

		radio = spawn ("script_model", (0,0,0));
		radio.origin = (424, -1559, 739);
		radio.angles = (0, 330, 0);
		radio.targetname = "hqradio";

		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-3694, -1715, 736);
		radio.angles = (0, 240, 0);
		radio.targetname = "hqradio";
	}


        soundEnt1 = getent("chute", "targetname");		
	thread LoopSoundMP("chute",soundEnt1);

        soundEnt2 = getent("riviere", "targetname");		
	thread LoopSoundMP("riviere",soundEnt2);

        soundEnt3 = getent("houlala", "targetname");		
	thread PlayExplosion3("houlala",soundEnt3);

        soundEnt4 = getent("vache", "targetname");		
	thread LoopSoundMP("vache",soundEnt4);

        soundEnt5 = getent("water", "targetname");		
	thread LoopSoundMP("riviere",soundEnt5);

        soundEnt6 = getent("flotte", "targetname");		
	thread LoopSoundMP("riviere",soundEnt6);

        soundEnt7 = getent("souffle", "targetname");		
	thread LoopSoundMP("souffle",soundEnt7);

        soundEnt8 = getent("aigle", "targetname");		
	thread PlayExplosion8("aigle",soundEnt8);

        soundEnt9 = getent("eagle", "targetname");		
	thread PlayExplosion9("eagle",soundEnt9);

        soundEnt10 = getent("rapace", "targetname");		
	thread PlayExplosion10("rapace",soundEnt10);

        soundEnt11 = getent("feu", "targetname");		
	thread LoopSoundMP("feu",soundEnt11);

        soundEnt12 = getent("fuego", "targetname");		
	thread LoopSoundMP("feu",soundEnt12);

        soundEnt13 = getent("radio", "targetname");		
	thread LoopSoundMP("radio",soundEnt13);

        soundEnt14 = getent("mouche", "targetname");		
	thread LoopSoundMP("mouche",soundEnt14);

        soundEnt15 = getent("fontaine", "targetname");		
	thread LoopSoundMP("fontaine",soundEnt15);

        soundEnt16 = getent("goutte", "targetname");		
	thread LoopSoundMP("goutte",soundEnt16);

        soundEnt17 = getent("pigeon", "targetname");		
	thread LoopSoundMP("pigeon",soundEnt17);

}

LoopSoundMP(sound, position)
{
			
	while(1)
	{
	
		players = getentarray("player", "classname");
		if (players.size > 0)
			break;
		else
			wait(0.1);
	
	}
		
	Position playLoopSound(sound);
	
}

PlayExplosion3(sound, position)
{

	while(1)
	{
		wait(1);
		trigger1 = getent("TrigExpl3","targetname");
		trigger1 waittill("trigger", other);

                Position playsound(sound);

        }

}

PlayExplosion8(sound, position)
{

	while(1)
	{
		wait(1);
		trigger1 = getent("TrigExpl8","targetname");
		trigger1 waittill("trigger", other);

                Position playsound(sound);

        }

}

PlayExplosion9(sound, position)
{

	while(1)
	{
		wait(1);
		trigger1 = getent("TrigExpl9","targetname");
		trigger1 waittill("trigger", other);

                Position playsound(sound);

        }

}

PlayExplosion10(sound, position)
{

	while(1)
	{
		wait(1);
		trigger1 = getent("TrigExpl10","targetname");
		trigger1 waittill("trigger", other);

                Position playsound(sound);

        }

}